#
# spec file for package php4 (Version 4.3.4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# neededforbuild  apache-devel-packages apache2-devel-packages apache2-mod_fastcgi compat curl curl-devel cyrus-sasl2 cyrus-sasl2-devel db-devel des expat freetype2 freetype2-devel gd gd-devel gdbm gettext glib-devel gmp gpp gtk-devel heimdal heimdal-devel heimdal-lib imap imap-devel imap-lib jakarta-tomcat java2 libgpp libjpeg libmcal libmcrypt libmcrypt-devel libpng-devel-packages libtiff libxml2 libxml2-devel lynx mhash mhash-devel mod_dav mysql-devel mysql-shared net-snmp net-snmp-devel openldap2 openldap2-client openldap2-devel openssl openssl-devel orbit orbit-devel pam-devel postfix postgresql-devel postgresql-libs qt3-devel-packages readline readline-devel recode recode-devel sablot sablot-devel t1lib t1lib-devel tcpd-devel unixODBC unixODBC-devel x-devel-packages xpm zip

BuildRequires:  aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-Mesa XFree86-Mesa-devel XFree86-devel XFree86-libs apache apache-devel apache2 apache2-devel apache2-mod_fastcgi apache2-prefork autoconf automake binutils compat curl curl-devel cyrus-sasl-devel db-devel e2fsprogs-devel expat fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gcc gcc-c++ gd gd-devel gdbm gettext glib-devel gmp gtk-devel heimdal heimdal-devel heimdal-lib imap imap-devel imap-lib jakarta-tomcat java2 java2-jre libapr0 libjpeg liblcms liblcms-devel libmcal libmcrypt libmcrypt-devel libmng libmng-devel libpng libpng-devel libstdc++-devel libtiff libtool libxml2 libxml2-devel lynx mhash mhash-devel mm mm-devel mod_dav mod_ssl mysql-devel mysql-shared net-snmp net-snmp-devel openldap2 openldap2-devel openssl-devel orbit orbit-devel pam-devel perl postfix postgresql-devel postgresql-libs qt3 qt3-devel readline-devel recode recode-devel rpm sablot sablot-devel t1lib t1lib-devel tcpd-devel unixODBC unixODBC-devel update-desktop-files zip

Name:           php4
%define sce_files()       %%files %1 -f extdir/%1
%define sce_install_path  %{_libdir}/php/sce_install
%define sce_install()     %{sce_install_path} %1 $1
%define extension_dir     %{_libdir}/php/extensions
########################################
# apache macros
########################################
%define apache_mmn         %(MMN=$(apxs  -q LIBEXECDIR)/MMN; test -x $MMN && $MMN)
%define apache2_mmn        %(MMN=$(apxs2 -q LIBEXECDIR)/MMN; test -x $MMN && $MMN)
%define apache_libexecdir  %(apxs -q LIBEXECDIR)
%define apache_sysconfdir  %(apxs -q SYSCONFDIR)
%define apache_includedir  %(apxs -q INCLUDEDIR)
%define apache_serverroot  %(apxs -q PREFIX)
%define apxs2              apxs2-prefork
%define apache2_libexecdir %(%{apxs2} -q LIBEXECDIR)
%define apache2_sysconfdir %(%{apxs2} -q SYSCONFDIR)
%define apache2_includedir %(%{apxs2} -q INCLUDEDIR)
%define apache2_serverroot %(%{apxs2} -q PREFIX)
#########################################
# java and tomcat macros
#########################################
%define java_jdkdir       %(find %{_libdir} /usr/lib -type d -name jdk\* -o -type d -name j2sdk\* -o -name kaffe -o -name IBMJava2-\* -o -name SunJava1-\* -o -name SunJava2-\* -maxdepth 1 | sort | head -n 1)
%define java_incdir       %(dirname `find %{java_jdkdir} -follow -name jni.h | grep -v include-old`)
%define tomcat            /usr/share/tomcat/common
#########################################
# misc macros
#########################################
%define qtdom_dir         %{_libdir}/qt3
%define dom_dir           %{_oldincludedir}/libxml2
%if %ul_version >= 1
%define VENDOR UnitedLinux
%else
%define VENDOR SuSE
%endif
###########################################
# %all_modules is a list of all external
# php4 modules - it is arch dependent
###########################################
%ifarch %ix86
%define swf php4-swf
%else
%define swf ,
%endif
%ifnarch ia64 alpha x86_64 s390 s390x
%define iconv php4-iconv
%else
%define iconv ,
%endif
%define all_modules php4-bcmath php4-bz2 php4-calendar php4-ctype php4-curl php4-dba php4-dbase php4-domxml php4-exif php4-filepro php4-ftp php4-gd php4-gettext php4-gmp %iconv php4-imap php4-ldap php4-mbstring php4-mcal php4-mcrypt php4-mhash php4-mime_magic php4-mysql php4-pgsql php4-qtdom php4-readline php4-session php4-shmop php4-snmp php4-sockets %swf php4-sysvsem php4-sysvshm php4-unixODBC php4-wddx php4-xslt php4-yp php4-zlib
###
###
Version:        4.3.4
Release:        43.61
License:        Other uncritical OpenSource License, Other License(s), see package
Group:          Productivity/Networking/Web/Servers
Provides:       php zend
Autoreqprov:    on
Source0:        ftp://ftp.php.net/pub/version4/downloads/php-%{version}.tar.bz2
Source2:        http://reality.sgi.com/grafica/flash/dist.99.linux.tar.bz2
Source3:        asp2php-0.76.12.tar.bz2
Patch0:         php-%{version}-suse.diff
Patch1:         php-%{version}-ini.diff
Patch2:         php-%{version}-lib64.diff
Patch3:         php-%{version}-autoconf1.diff
Patch4:         php-%{version}-autoconf2.diff
Patch5:         php-%{version}-phpize.diff
Patch6:         php-%{version}-swf.diff
Patch7:         php-%{version}-readline.diff
Patch8:         php-%{version}-servlet.diff
Patch9:         php-%{version}-ftp.diff
Patch10:        php-%{version}-xml.diff
Patch11:        php-%{version}-session.diff
Patch12:        php-%{version}-wddx.diff
Patch13:        php-%{version}-freetype.diff
Patch14:        php-%{version}-tomcat5.diff
Patch16:        php-%{version}-array.diff
Patch17:        php-%{version}-secfix1.diff
Patch18:        php-%{version}-secfix2.diff
Patch19:        php4-safe_mode.patch
Patch20:        php4-var_unserializer.patch
Patch21:        php4-unserializer-long.patch 
Patch25:        php4-sapi_off_by_one.patch
Patch26:        php-%{version}-recode-fix.patch
Patch27:        php-%{version}-save_path-segfault.patch
Patch28:        php-%{version}-basedir-fix.patch
# security fixes, bug #42949
Patch50:        php_43_memory_limit_in_execution.diff
Patch51:        php_43_everything_except_mm.diff
Patch52:        php-4.3.7-sfix.diff
Patch55:        image-dos-php4.patch
Patch56:        var_unserializer-speed-php4.patch
Patch57:        CAN-2005-1042_1043.patch
Patch58:        php-RPC-CAN-2005-1921.patch
Patch59:        php-RPC-CAN-2005-2498.patch
Patch60:        pcre-overflow-bug-106209.patch
Patch61:        php-%{version}-CVE-2005-3353.patch
Patch62:        php-%{version}-CVE-2005-3388.patch
Patch63:        php-%{version}-CVE-2005-3389.patch
Patch64:        php-%{version}-CVE-2005-3390.patch
Patch65:        php-%{version}-mod_rewrite-fix.patch
Patch66:        php-%{version}-mbstring.patch
Patch67:        php-%{version}-CVE-2005-3391.patch
Patch68:        php-%{version}-CVE-2005-3392.patch
Patch69:        php-%{version}-CVE-2006-0208.patch
Patch70:        php-%{version}-errordocument-fix.patch
Patch71:        php-%{version}-phpbug-35571.patch
Patch72:        php-%{version}-mbstring-secfix.patch
Patch73:        php-%{version}-mbstring-null_injection.patch
Patch74:        php-%{version}-CVE-2006-1494-1608.patch
Patch75:        php-%{version}-CVE-2006-0996.patch
Patch76:        php-%{version}-CVE-2006-1490.patch
Patch77:        php-%{version}-phpbug-37346.patch
Patch78:        php-%{version}-zend_hash_del.patch
Patch79:        php-%{version}-string.patch
Patch80:        php-%{version}-emalloc.patch
Patch81:        php-%{version}-session3.patch
Patch82:        php-%{version}-zend_hash_del-fix.patch
URL:            http://www.php.net
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Icon:         php4.xpm
Summary:        PHP4 Core Files

%description
This package contains the PHP4 core files, including php binary (CLI)
and php configuration php.ini. This package must be installed in order
to use php. Additionally, extension modules and server modules (f.g.
for Apache) may be installed.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package devel
Summary:        Include files of PHP4
Group:          Development/Libraries/C and C++
Provides:       mod_php4-devel
Obsoletes:      mod_php4-devel
Requires:       %{name} = %{version}

%description devel
PHP is a server-side, cross-platform, HTML embedded scripting language.
If you are completely new to PHP and want to get some idea of how it
works, have a look at the Introductory Tutorial.  Once you get beyond
that have a look at the example archive sites and some of the other
resources available in the Links section. PHP4 is the latest version.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package pear
Summary:        PHP Extension and Application Repository
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version}

%description pear
PEAR is a code repository for PHP extensions and PHP library code
similar to TeX's CTAN and Perl's CPAN. This package provides an access
to the repository.

See http://pear.php.net/manual/ for more datails.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package -n apache-mod_php4
Summary:        PHP4 module for Apache 1.3x
Autoreqprov:    on
Provides:       mod_php
Requires:       %{name} = %{version}
Requires:       apache %{apache_mmn}
PreReq:         %fillup_prereq
Group:          Productivity/Networking/Web/Servers

%description -n apache-mod_php4
PHP is a server-side, cross-platform HTML embedded scripting language.
If you are completely new to PHP and want to get some idea of how it
works, have a look at the Introductory tutorial. Once you get beyond
that have a look at the example archive sites and some of the other
resources available in the links section.

Please refer to /usr/share/doc/packages/php4/README.SuSE for
information on how to load the module into the Apache webserver.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package -n apache2-mod_php4
Summary:        PHP4 module for Apache 2.0
Group:          Productivity/Networking/Web/Servers
Provides:       mod_php
Requires:       apache2-prefork %{apache2_mmn}
Requires:       %{name} = %{version}

%description -n apache2-mod_php4
PHP is a server-side, cross-platform HTML embedded scripting language.
If you are completely new to PHP and want to get some idea of how it
works, have a look at the Introductory tutorial. Once you get beyond
that have a look at the example archive sites and some of the other
resources available in the links section.

Please refer to /usr/share/doc/packages/php4/README.SuSE for
information on how to load the module into the Apache webserver.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package fastcgi
Summary:        FastCGI PHP4 module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version}

%description fastcgi
PHP is a server-side, cross-platform HTML embedded scripting language.
If you are completely new to PHP and want to get some idea of how it
works, have a look at the Introductory tutorial. Once you get beyond
that have a look at the example archive sites and some of the other
resources available in the links section.

Please refer to /usr/share/doc/packages/php4/README.FastCGI for
information on how to use this module.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%ifnarch alpha ia64 ppc64
%package servlet
Summary:        PHP4 module for Java Servlet Engine
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version}

%description servlet
PHP is a server-side, cross-platform, HTML embedded scripting language.
If you are completely new to PHP and want to get some idea of how it
works, have a look at the Introductory Tutorial.  Once you get beyond
that have a look at the example archive sites and some of the other
resources available in the Links section.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%endif
%package -n mod_php4-core
Summary:        Metapackage for old PHP4 layout.
Group:          Productivity/Networking/Web/Servers
PreReq:         sed mktemp coreutils
Requires:       %{name} = %{version} %{all_modules} php4-pear

%description -n mod_php4-core
This package is provided for backward compatiobility only, so that
people having mod_php4-core installed get all PHP4 extensions preserved
during the update. It will not be supported in the future releases



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package -n mod_php4
Summary:        Metapackage for old PHP4 layout.
Group:          Productivity/Networking/Web/Servers
Requires:       apache-mod_php4 mod_php4-core = %{version}

%description -n mod_php4
This package is provided for backward compatiobility only, so that
people having mod_php4 installed get all PHP4 extensions preserved
during the update. It will not be supported in the future releases



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package -n mod_php4-apache2
Summary:        Metapackage for old PHP4 layout.
Group:          Productivity/Networking/Web/Servers
Requires:       %{apache2_libexecdir}/libphp4.so mod_php4-core = %{version}
Obsoletes:      apache2-mod_php4

%description -n mod_php4-apache2
This package obsoletes apache2-mod_php4 and is provided for backward
compatiobility only, so that people having apache2-mod_php4 installed
get all PHP4 extensions preserved during the update. It will not be
supported in the future releases



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%ifnarch alpha ia64 ppc64
%package -n mod_php4-servlet
Summary:        Metapackage for old PHP4 layout.
Group:          Productivity/Networking/Web/Servers
Requires:       php4-servlet mod_php4-core = %{version}

%description -n mod_php4-servlet
This package is provided for backward compatiobility only, so that
people having mod_php4-servlet installed get all PHP4 extensions
preserved during the update. It will not be supported in the future
releases



%endif
%package      bcmath
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path}
PreReq:         %{name} = %{version}

%description  bcmath
Binary Calculator which supports numbers of any size and precision,
represented as strings.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package      bz2
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path}
PreReq:         %{name} = %{version}

%description  bz2
PHP functions to read and writ bzip2 (.bz2) compressed files.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package      calendar
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path}
PreReq:         %{name} = %{version}

%description  calendar
PHP functions for converting between different calendar formats.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package      ctype
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path}
PreReq:         %{name} = %{version}

%description  ctype
PHP functions for checking whether a character or string falls into a
certain character class according to the current locale.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package      curl
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path}
PreReq:         %{name} = %{version}

%description  curl
PHP interface to libcurl, that allows you to connect and communicate to
many different types of servers with many different types of protocols.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package      dba
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path}
PreReq:         %{name} = %{version}

%description  dba
PHP functions building the foundation for accessing Berkeley DB style
databases.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package      dbase
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path}
PreReq:         %{name} = %{version}

%description  dbase
PHP functions for accessing records stored in dBase-format (dbf)
databases.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package      domxml
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path}
PreReq:         %{name} = %{version}

%description  domxml
PHP functions for operating on an XML document with the DOM API.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package      exif
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path}
PreReq:         %{name} = %{version}

%description  exif
PHP functions for extracting EXIF (metadata from images) information
stored in headers of JPEG and TIFF images.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package      filepro
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path}
PreReq:         %{name} = %{version}

%description  filepro
PHP functions for read-only access to data stored in filePro databases.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package      ftp
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path}
PreReq:         %{name} = %{version}

%description  ftp
PHP functions for access to file servers speaking the File Transfer
Protocol (FTP) as defined in rfc959.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package      gd
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path}
PreReq:         %{name} = %{version}

%description  gd
PHP functions to create and manipulate image files in a variety of
different image formats, including gif, png, jpg, wbmp, and xpm. Even
more convenient, PHP can output image streams directly to a browser.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package      gettext
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path}
PreReq:         %{name} = %{version}

%description  gettext
PHP functions that implement an NLS (Native Language Support) API which
can be used to internationalize your PHP applications.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package      gmp
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path}
PreReq:         %{name} = %{version}

%description  gmp
PHP functions for work with arbitrary-length integers using the GNU MP
library.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%ifnarch ia64 alpha x86_64 s390 s390x
%package      iconv
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path}
PreReq:         %{name} = %{version}

%description  iconv
PHP interface to iconv character set conversion facility.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%endif
%package      imap
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path}
PreReq:         %{name} = %{version}

%description  imap
PHP functions in this extension are not limited to the IMAP protocol,
despite their name. The underlying c-client library also supports NNTP,
POP3 and local mailbox access methods.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package      ldap
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path}
PreReq:         %{name} = %{version}

%description  ldap
PHP interface to Lightweight Directory Access Protocol (LDAP).



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package      mbstring
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path}
PreReq:         %{name} = %{version}

%description  mbstring
This extension provides multi-byte character safe string functions and
other utility functions such as conversion functions.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package      mcal
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path}
PreReq:         %{name} = %{version}

%description  mcal
With this extension, a calendar stream can be opened much like the
mailbox stream with the IMAP support. Calendars can be local file
stores, remote ICAP servers, or other formats that are supported by the
mcal library.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package      mcrypt
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path}
PreReq:         %{name} = %{version}

%description  mcrypt
PHP interface to the mcrypt library, which supports a wide variety of
block algorithms.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package      mhash
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path}
PreReq:         %{name} = %{version}

%description  mhash
PHP functions to create checksums, message digests, message
authentication codes, and more.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package      mime_magic
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path}
PreReq:         %{name} = %{version}

%description  mime_magic
The functions in this module try to guess the content type and encoding
of a file by looking for certain magic byte sequences at specific
positions within the file. While this is not a bullet proof approach
the heuristics used do a very good job. This extension is experimental!



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package      mysql
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path}
PreReq:         %{name} = %{version}

%description  mysql
PHP functions for access to MySQL database servers.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package      pgsql
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path} php4-snmp = %{version}
PreReq:         %{name} = %{version}

%description  pgsql
PHP functions for access to PostgreSQL database servers.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package      qtdom
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path}
PreReq:         %{name} = %{version}

%description  qtdom
Functions to create a tree from an XML string.	This extension is
experimental!



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package      readline
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path}
PreReq:         %{name} = %{version}

%description  readline
PHP interface to the GNU Readline library. Contains functions that
provide editable command lines.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package      recode
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path}
PreReq:         %{name} = %{version}

%description  recode
PHP interface to the GNU Recode library that converts files between
various coded character sets and surface encodings.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package      session
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path}
PreReq:         %{name} = %{version}

%description  session
PHP functions for preserving certain data across subsequent accesses.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package      shmop
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path}
PreReq:         %{name} = %{version}

%description  shmop
PHP functions to read, write, create and delete Unix shared memory
segments.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package      snmp
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path}
PreReq:         %{name} = %{version}

%description  snmp
PHP functions for SNMP.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package      sockets
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path}
PreReq:         %{name} = %{version}

%description  sockets
A low-level interface to the socket communication functions based on
the popular BSD sockets, providing the possibility to act as a socket
server as well as a client. This extension is experimental!



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%ifarch %ix86
%package      swf
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path}
PreReq:         %{name} = %{version}

%description  swf
PHP functions to create Shockwave Flash files via Paul Haeberli's
libswf module.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%endif
%package      sysvsem
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path}
PreReq:         %{name} = %{version}

%description  sysvsem
PHP interface for System V semaphores.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package      sysvshm
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path}
PreReq:         %{name} = %{version}

%description  sysvshm
PHP interface for System V shared memory.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package      unixODBC
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path}
PreReq:         %{name} = %{version}
Conflicts:      %{name}-iodbc

%description  unixODBC
PHP interface to the unixODBC driver.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package      wddx
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path}
PreReq:         %{name} = %{version}

%description  wddx
PHP functions for Web Distributed Data Exchange.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package      xslt
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path}
PreReq:         %{name} = %{version}

%description  xslt
This PHP extension provides a processor independent API to XSLT
transformations.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package      yp
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path}
PreReq:         %{name} = %{version}

%description  yp
This PHP extension allows network management of important
administrative files (e.g. the password file) via NIS.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%package      zlib
Summary:        PHP4 extension module
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version} %{sce_install_path}
PreReq:         %{name} = %{version}

%description  zlib
PHP functions to read and write gzip (.gz) compressed files.



Authors:
--------
    Andrei Zmievski <andrei@ispi.net>
    Danny Heijl <Danny.Heijl@cevi.be>
    Frank M. Kromann <fmk@swwwing.com>
    Rasmus Lerdorf <rasmus@php.net>
    Sam Ruby <rubys@us.ibm.com>
    Sascha Schumann <sascha@schumann.cx>
    Stefan Roehrich <sr@linux.de>
    Thies C. Arntzen <thies@digicol.de>
    Uwe Steinmann <steinm@php.net>

%prep
%setup -q -n php-%{version}
%setup -q -n swf -c swf -a 2 -T
%ifarch %ix86
mkdir -p dist/include/
mkdir -p dist/lib/
mv dist/*.h dist/include/
mv dist/*.a dist/lib/
%endif
%setup -q -n php-%{version} -c php-%{version} -a 3 -T -D
%patch50 -p1
%patch51 -p1
%patch52 -p1
%patch
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9
#%patch10
%patch11
%patch12
%patch13
%patch14
%patch16
%patch17
%patch18
%patch19
%patch20
%patch21 -p1
%patch25 -p1
%patch26
%patch27
%patch28
%patch55
%patch56
%patch57 -p1
# patch XML_RPC security problem. CAN-2005-1921
pushd pear/packages/
	mkdir x
	cd x
		tar xvf ../XML_RPC-1.0.4.tar
		patch XML_RPC-1.0.4/RPC.php <%{PATCH58}
		patch -p0  <%{PATCH59}
		tar cvf ../XML_RPC-1.0.4.tar *
	cd ..
	rm -rf x
popd
pushd ext/pcre/pcrelib
%patch60
popd
%patch61
%patch62
%patch63
%patch64
%patch65
%patch66
%patch67
%patch68
%patch69
%patch70
%patch71
%patch72
%patch73
%patch74
%patch75
%patch76
%patch77
%patch78
%patch79
%patch80
%patch81
%patch82
/usr/share/apache2/get_module_list
rm -f ext/bcmath/libbcmath/src/config.h
mv ext/zlib/config0.m4 ext/zlib/config.m4
mv sapi/cli/README README.CLI
mv sapi/cgi/README.FastCGI README.FastCGI
mv pear/README README.PEAR
mv SuSE/mod_php4-core/README SuSE/mod_php4-core/README.%{VENDOR}
mv SuSE/mod_php4/README SuSE/mod_php4/README.%{VENDOR}
mv SuSE/mod_php4-apache2/README SuSE/mod_php4-apache2/README.%{VENDOR}
mv SuSE/mod_php4-servlet/README SuSE/mod_php4-servlet/README.%{VENDOR}

%build
if [ ! -e %{_oldincludedir}/libxml ] ; then
    if [ -e %{_oldincludedir}/libxml2/libxml/ ] ; then
	ln -s %{_oldincludedir}/libxml2/libxml/ %{_oldincludedir}/libxml
    fi
fi
libtoolize -f
aclocal
autoconf
# real make see install section ...

%install
#################################
#
# Set CFLAGS, LDFLAGS, java env.
#
#################################
CFLAGS="$RPM_OPT_FLAGS -fPIC -DHAVE_LIBDL=1 -I%{_oldincludedir}/ucd-snmp -I%{java_incdir} -I%{java_incdir}/linux -fno-strict-aliasing"
LDFLAGS=""
EXTRA_LIBS="-L%{_usr}/X11R6/%_lib/ -lncurses -lpam -lssl"
export CFLAGS LDFLAGS EXTRA_LIBS
. setJava --devel Java2 || exit 1
export EXTENSION_DIR=%{extension_dir}
######################
#
# Dynamic options
#
######################
DYNAMIC_OPTS=""
test -e %{_libdir}/libssl.so && DYNAMIC_OPTS="--with-openssl"
#########################
#
# Common options
#
#########################
COMMON_OPTS="
	--prefix=%{_prefix}
	--datadir=%{_datadir}/php
	--mandir=%{_mandir}
	--bindir=%{_bindir}
	--libdir=%{_datadir}
	--includedir=%{_includedir}
	--sysconfdir=/etc
	--with-_lib=%{_lib}
	--with-config-file-path=/etc
	--with-exec-dir=%{_libdir}/php/bin
	--disable-debug
	--enable-inline-optimization
	--enable-memory-limit
	--enable-magic-quotes
	--enable-safe-mode
	--enable-sigchild
"
SERVER_OPTS="
	--disable-ctype
	--disable-session
	--without-mysql
	--disable-cli
	--without-pear
"
#
# if --disable-xml is used, do build SCE xml as well,
# but we will not have PEAR (this needs xml built in???)
#
#################################
#
# Modules built into all servers
#
#################################
BUILTIN_MODULES="
"
# tokenizer
#########################################
#
# Functions for building and instalation
#
#########################################
BUILD_STATUS=$RPM_BUILD_DIR/.build-status
rm -f $BUILD_STATUS
BuildStage()
{
  echo -n " - $1 ... " >>$BUILD_STATUS
  shift
  $@ || { echo "failed" >>$BUILD_STATUS; cat $BUILD_STATUS; exit 1; }
  echo "done" >>$BUILD_STATUS
}
Build()
{
  echo "SERVER $1:" >>$BUILD_STATUS
  shift
  rm -f config.cache
  BuildStage configure ./configure $COMMON_OPTS $SERVER_OPTS $DYNAMIC_OPTS $@ %{_target_cpu}-suse-linux
  BuildStage clean make clean
  BuildStage make make CLASSPATH=sapi/servlet
  BuildStage install make install INSTALL_ROOT=$RPM_BUILD_ROOT
}
SCE_Fail() {
  echo "@ Error: $*"
  echo "$*" >>$BUILD_STATUS
  cat $BUILD_STATUS
  exit 1
}
SCE() {
  DIR=${1%%=*}
  ARG="${1#*=}"
  test "$ARG" = "$1" && ARG=""
  shift
  echo -n "building in $DIR ... " >>$BUILD_STATUS
  echo "@ entering directory $DIR"
  cd ext/$DIR || SCE_Fail "failed"
  if test $# -gt 0 -a "${1:0:2}" != '--'; then
    MODULE="${1%%=*}";
    ARG="${1#*=}"
    shift
  else
    MODULE=$DIR
  fi
  echo "@ phpizing"
  $RPM_BUILD_DIR/phpize || SCE_Fail "phpize failed"
  echo "@ building module $MODULE in directory $DIR"
  if test "$ARG"; then
    NW=`./configure --help \
           | grep "^[[:blank:]]*--with-$MODULE[=[:blank:]]" \
           | wc -l`
    test $NW -gt 1 && SCE_Fail "--with-$MODULE found more than once"
    NE=`./configure --help \
           | grep "^[[:blank:]]*--enable-$MODULE[=[:blank:]]" \
           | wc -l`
    test $NE -gt 1 && SCE_Fail "--enable-$MODULE found more than once"
    test $NW -eq 1 -a $NE -eq 1 \
         && SCE_Fail "both --enable-$MODULE and --with-$MODULE found"
    test $NW -eq 0 -a $NE -eq 0 \
         && SCE_Fail "nor --enable-$MODULE nor --with-$MODULE found"
    test $NW -eq 1 && WITH=with || WITH=enable
    WITH="--$WITH-$MODULE=shared,$ARG"
  else
    WITH=""
  fi
  ./configure $COMMON_OPTS $DYNAMIC_OPTS \
         --with-php-config=$RPM_BUILD_ROOT/usr/bin/php-config \
         $WITH $@ || SCE_Fail "configure"
  make || SCE_Fail "make"
  make install INSTALL_ROOT=$RPM_BUILD_ROOT || SCE_Fail "make install"
  echo "@ leaving directory $DIR"
  cd ../..
  echo "done" >>$BUILD_STATUS
}
sed "s=@datadir@=$RPM_BUILD_ROOT%{_datadir}/php=;s=@includedir@=$RPM_BUILD_ROOT/usr/include=" scripts/phpize.in >$RPM_BUILD_DIR/phpize
chmod u+x $RPM_BUILD_DIR/phpize
###################################
#
# Build servers:
#  apache, apache2, servlet, fast-cgi and cli
#
###################################
#
# servlet doesn't compile on AXP
#
mkdir -p $RPM_BUILD_ROOT%{_datadir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
%ifnarch alpha ia64 ppc64
  Build servlet --with-servlet=%{tomcat} --with-java=$JAVA_HOME
%endif
Build apache --with-apxs=`which apxs`
Build apache2 --with-apxs2=`which %{apxs2}`
Build fast-cgi --enable-force-cgi-redirect --enable-fastcgi --bindir=/srv/www/cgi-bin
rm $RPM_BUILD_ROOT/srv/www/cgi-bin/{php-config,phpextdist,phpize}
#
# cli comes at the end so that ZTS is not supported in the devel package
#
Build cli --enable-force-cgi-redirect --enable-discard-path --enable-cli --with-pear
cp sapi/cli/php $RPM_BUILD_ROOT%{_bindir}
cp sapi/cli/php.1 $RPM_BUILD_ROOT%{_mandir}/man1
###################################
#
# Build Self-Contained-Extensions
#
###################################
#./configure $COMMON_OPTS $SERVER_OPTS $DYNAMIC_OPTS %{_target_cpu}-suse-linux
CFLAGS="$CFLAGS -I../../Zend -I../../main -I../../TSRM -I../.."
SCE bcmath
SCE bz2
SCE calendar
SCE ctype
SCE curl
SCE dba --with-ndbm --with-gdbm --with-zlib-dir=%{_usr}
SCE dbase
SCE domxml --with-dom=%{dom_dir} --with-zlib-dir=%{_usr}
SCE exif
SCE filepro
SCE ftp
SCE gd --enable-gd-native-ttf \
       --with-xpm-dir=%{_usr}/X11R6 \
       --with-freetype-dir=yes \
       --with-ttf \
       --with-t1lib \
       --with-png-dir=%{_usr} \
       --with-jpeg-dir=%{_usr} \
       --with-zlib-dir=%{_usr}
SCE gettext
SCE gmp
%ifnarch ia64 alpha x86_64 s390 s390x
SCE iconv
%endif
SCE imap --with-imap-ssl
SCE ldap
SCE mbstring --enable-mbregex
SCE mcal=%{_usr}
SCE mcrypt
SCE mhash
SCE mime_magic
SCE mysql=%{_usr}
SCE odbc --with-unixODBC=/usr
SCE pgsql=%{_usr}
SCE qtdom=%{qtdom_dir}
SCE readline
SCE recode
SCE session --enable-trans-sid --with-mm
SCE shmop
SCE snmp
SCE sockets
%ifarch %ix86
SCE swf=$RPM_BUILD_DIR/swf/dist/
%endif
SCE sysvsem
SCE sysvshm
SCE wddx
%ifnarch alpha
SCE xslt --with-xslt-sablot --with-iconv-dir=yes
%endif
SCE yp
SCE zlib
########################################################################
# options which don't work yet, but should be activated ASAP:
#
# --enable-satellite --with-mod-dav=%{apache_includedir}
# --with-kerberos[=DIR]
########################################################################
########################################################
# generate php.ini from php.ini-dist:
#   - add extension_dir
#   - add section [extension section] for shared objects
########################################################
mkdir -p $RPM_BUILD_ROOT/etc
sed "s=@extdir@=$EXTENSION_DIR=" php.ini-dist >$RPM_BUILD_ROOT/etc/php.ini
mkdir extdir
extern_modules=''
for i in $RPM_BUILD_ROOT$EXTENSION_DIR/*; do
  if test ${i##*.} = so; then
    strip -d $i
    extname=`basename $i`
    extname=${extname%.so}
    echo ${i#$RPM_BUILD_ROOT} >extdir/$extname
    extern_modules="$extern_modules $extname"
  else
    rm -f $i
  fi
done
builtin_modules=`sapi/cli/php -m|grep -v '[[]'`
sed "s=@EXTERN_MODULES@=$extern_modules=;s=@BUILTIN_MODULES@=${builtin_modules//
/ }=" SuSE/README >README.%{VENDOR}
#######################
# apache configuration
#######################
#
# apache 1
#
mkdir -p $RPM_BUILD_ROOT%{apache_sysconfdir}/modules
cat<<-EOF>$RPM_BUILD_ROOT%{apache_sysconfdir}/modules/%{name}
	Variable:HTTPD_SEC_MOD_PHP
	LoadModule:LoadModule php4_module %{apache_libexecdir}/libphp4.so
	AddModule:AddModule mod_php4.c
	Text:PHP4
	Include:%{apache_sysconfdir}/%{name}.conf
EOF
mkdir -p $RPM_BUILD_ROOT%{_var}/adm/fillup-templates
install -m 644 apache.rc.config $RPM_BUILD_ROOT%{_var}/adm/fillup-templates/sysconfig.apache-%{name}
mkdir -p $RPM_BUILD_ROOT%{apache_sysconfdir}
install -m 644 sysconfig.apache $RPM_BUILD_ROOT%{apache_sysconfdir}/%{name}.conf
#
# apache 2
#
mkdir -p $RPM_BUILD_ROOT%{apache2_sysconfdir}/conf.d
install -m 644 sysconfig.apache2 $RPM_BUILD_ROOT/%{apache2_sysconfdir}/conf.d/%{name}.conf
#####################
# headers for devel
#####################
mkdir -p $RPM_BUILD_ROOT%{_includedir}/php
find . -path ./win32 -prune -o -type f -name \*.h -not -path \*w32\* -not -path \*win\* -exec install -D -m 644 {} $RPM_BUILD_ROOT%{_includedir}/php/{} \;
###################
# swf fonts
###################
%ifarch %ix86
mkdir -p $RPM_BUILD_ROOT%{_datadir}/php/swffonts
cp $RPM_BUILD_DIR/swf/dist/fonts/* $RPM_BUILD_ROOT%{_datadir}/php/swffonts
%endif
#####################
# asp2php
#####################
pushd asp2php-0.76.12
	make all gui
	mkdir -p $RPM_BUILD_ROOT%{_usr}/X11R6/bin
	install -m 755 asp2php $RPM_BUILD_ROOT%{_bindir}
	install -m 755 gtkasp2php $RPM_BUILD_ROOT%{_usr}/X11R6/bin/
popd
#####################
# misc
#####################
#!!!!pear
chmod -R go-w $RPM_BUILD_ROOT%{_datadir}/php $RPM_BUILD_ROOT%{_bindir}/pear
%ifnarch alpha
 IfNotEmpty() { test -s $RPM_BUILD_ROOT/$2 && $1 $RPM_BUILD_ROOT/$2 ${3:+$RPM_BUILD_ROOT/}$3 ||:; }
 mkdir -p $RPM_BUILD_ROOT%{tomcat}/lib
 IfNotEmpty mv %{_datadir}/phpsrvlt.jar %{tomcat}/lib
 IfNotEmpty mv %{_datadir}/libphp4.so   %{tomcat}/lib
%endif
install -m 744 sce_install $RPM_BUILD_ROOT%{_libdir}/php/sce_install
rm -r $RPM_BUILD_ROOT%{_datadir}/php/{.filemap,.lock,.registry}
####################
# testing
####################
#
# php binary
#
$RPM_BUILD_ROOT%{_bindir}/php test.php > %{_tmppath}/test.html || exit 1
#
# for safe mode
#
mkdir -p $RPM_BUILD_ROOT%{_libdir}/php/bin
#
# apache1
#
echo -e "LoadModule php4_module $RPM_BUILD_ROOT%{apache_libexecdir}/libphp4.so\n" >%{apache_sysconfdir}/suse_loadmodule.conf
echo -e "AddModule mod_php4.c\n" >%{apache_sysconfdir}/suse_addmodule.conf
httpd -t || exit 1
#
# apache2
#
mkdir -p %{apache2_sysconfdir}/sysconfig.d
echo -e "LoadModule php4_module $RPM_BUILD_ROOT%{apache2_libexecdir}/libphp4.so\n" >>%{apache2_sysconfdir}/sysconfig.d/suse_loadmodule.conf
touch %{apache2_sysconfdir}/sysconfig.d/include.conf
httpd2 -t -f /etc/apache2/httpd.conf -e debug || exit 1

%clean
rm -rf $RPM_BUILD_ROOT

%post
sed "s@^[[:blank:]]*extension[[:blank:]]*=[[:blank:]]*recode\.so@;extension=recode.so@" /etc/php.ini >/etc/php.ini.new && mv /etc/php.ini.new /etc/php.ini
mkdir -p var/adm/notify/messages
cat <<EOT >var/adm/notify/messages/php4-notify
Hallo,
php4-recode can not be used in combination with php4-mysql, php4-imap or
apache2-mod_auth_mysql. Loading them at the same time results in apache and/or
php segmentation faults. For this reason the recode module has been removed
from php.ini. Moreover the script sce_install used for registering modules in
php.ini no longer register the recode module but issue a warning instead.
 
The only package on SUSE LINUX depeding on php4-recode is phpMyAdmin, we will
provide a YOU update that removes this dependency soon.
 
It is recommended to use php4-iconv instead of php4-recode for character set
conversion.
See /usr/share/doc/packages/php4/README.SuSE for more details.
EOT

%post -n mod_php4-core
P=/usr/share/extensions/no-debug-non-zts-20020429
TMP=`mktemp tmp/php.ini.XXXXXX`
sed "s@^\([[:blank:]]*extension_dir[[:blank:]]*=[[:blank:]]*\)$P@\1%{extension_dir}@" \
etc/php.ini >$TMP
chmod --reference=etc/php.ini $TMP && mv $TMP etc/php.ini
cat %{_docdir}/mod_php4-core/README.%{VENDOR}

%post -n mod_php4
cat %{_docdir}/mod_php4/README.%{VENDOR}

%post -n mod_php4-apache2
cat %{_docdir}/mod_php4-apache2/README.%{VENDOR}
%ifnarch alpha ia64 ppc64

%post -n mod_php4-servlet
cat %{_docdir}/mod_php4-servlet/README.%{VENDOR}
%endif

%post -n apache-mod_php4
%{fillup_only -an apache}

%post        bcmath

%sce_install bcmath

%preun       bcmath

%sce_install bcmath

%post        bz2

%sce_install bz2

%preun       bz2

%sce_install bz2

%post        calendar

%sce_install calendar

%preun       calendar

%sce_install calendar

%post        ctype

%sce_install ctype

%preun       ctype

%sce_install ctype

%post        curl

%sce_install curl

%preun       curl

%sce_install curl

%post        dba

%sce_install dba

%preun       dba

%sce_install dba

%post        dbase

%sce_install dbase

%preun       dbase

%sce_install dbase

%post        domxml

%sce_install domxml

%preun       domxml

%sce_install domxml

%post        exif

%sce_install exif

%preun       exif

%sce_install exif

%post        filepro

%sce_install filepro

%preun       filepro

%sce_install filepro

%post        ftp

%sce_install ftp

%preun       ftp

%sce_install ftp

%post        gd

%sce_install gd

%preun       gd

%sce_install gd

%post        gettext

%sce_install gettext

%preun       gettext

%sce_install gettext

%post        gmp

%sce_install gmp

%preun       gmp

%sce_install gmp
%ifnarch ia64 alpha x86_64 s390 s390x

%post        iconv

%sce_install iconv

%preun       iconv

%sce_install iconv
%endif

%post        imap

%sce_install imap

%preun       imap

%sce_install imap

%post        ldap

%sce_install ldap

%preun       ldap

%sce_install ldap

%post        mbstring

%sce_install mbstring

%preun       mbstring

%sce_install mbstring

%post        mcal

%sce_install mcal

%preun       mcal

%sce_install mcal

%post        mcrypt

%sce_install mcrypt

%preun       mcrypt

%sce_install mcrypt

%post        mhash

%sce_install mhash

%preun       mhash

%sce_install mhash

%post        mime_magic

%sce_install mime_magic

%preun       mime_magic

%sce_install mime_magic

%post        mysql

%sce_install mysql

%preun       mysql

%sce_install mysql

%post        pgsql

%sce_install pgsql

%preun       pgsql

%sce_install pgsql

%post        qtdom

%sce_install qtdom

%preun       qtdom

%sce_install qtdom

%post        readline

%sce_install readline

%preun       readline

%sce_install readline

%post        recode

%sce_install recode

%preun       recode

%sce_install recode

%post        session

%sce_install session

%preun       session

%sce_install session

%post        shmop

%sce_install shmop

%preun       shmop

%sce_install shmop

%post        snmp

%sce_install snmp

%preun       snmp

%sce_install snmp

%post        sockets

%sce_install sockets

%preun       sockets

%sce_install sockets
%ifarch %ix86

%post        swf

%sce_install swf

%preun       swf

%sce_install swf
%endif

%post        sysvsem

%sce_install sysvsem

%preun       sysvsem

%sce_install sysvsem

%post        sysvshm

%sce_install sysvshm

%preun       sysvshm

%sce_install sysvshm

%post        unixODBC

%sce_install unixODBC

%preun       unixODBC

%sce_install unixODBC

%post        wddx

%sce_install wddx

%preun       wddx

%sce_install wddx

%post        xslt

%sce_install xslt

%preun       xslt

%sce_install xslt

%post        yp

%sce_install yp

%preun       yp

%sce_install yp

%post        zlib

%sce_install zlib

%preun       zlib

%sce_install zlib

%files
%defattr(-, root, root)
%doc READ* CODING_STANDARDS CREDITS 
%doc INSTALL 
%doc LICENSE NEWS TOD* 
%doc test.php
%{_mandir}/man1/*
%config(noreplace) /etc/php.ini
%{_bindir}/php
%{_bindir}/php-config 
%{_bindir}/asp2php
%{_usr}/X11R6/bin/gtkasp2php
%dir %{_libdir}/php
%dir %{_libdir}/php/bin
%dir %{extension_dir}
%dir %{_datadir}/php
%{sce_install_path}

%files devel
%defattr(-, root, root)
%{_includedir}/php
%{_bindir}/phpize
%{_bindir}/phpextdist
%{_datadir}/php/build

%files pear
%defattr(-, root, root)
%{_bindir}/pear
%config /etc/pear.conf
%{_datadir}/php/Archive
%{_datadir}/php/DB
%{_datadir}/php/HTTP.php
%{_datadir}/php/Mail.php
%{_datadir}/php/OS
%{_datadir}/php/PEAR.php
%{_datadir}/php/XML
%{_datadir}/php/data
%{_datadir}/php/pearcmd.php
%{_datadir}/php/test
%{_datadir}/php/Console
%{_datadir}/php/DB.php
%{_datadir}/php/Mail
%{_datadir}/php/Net
%{_datadir}/php/PEAR
%{_datadir}/php/System.php
%{_datadir}/php/doc

%sce_files bcmath

%sce_files bz2

%sce_files calendar

%sce_files ctype

%sce_files curl

%sce_files dba

%sce_files dbase

%sce_files domxml

%sce_files exif

%sce_files filepro

%sce_files ftp

%sce_files gd

%sce_files gettext

%sce_files gmp
%ifnarch ia64 alpha x86_64 s390 s390x

%sce_files iconv
%endif

%sce_files xslt

%sce_files imap

%sce_files ldap

%sce_files mbstring

%sce_files mcal

%sce_files mcrypt

%sce_files mhash

%sce_files mime_magic

%sce_files mysql

%sce_files unixODBC

%sce_files pgsql

%sce_files qtdom

%sce_files readline

%sce_files recode

%sce_files session

%sce_files shmop

%sce_files snmp

%sce_files sockets
%ifarch %ix86

%sce_files swf
%{_datadir}/php/swffonts
%endif

%sce_files sysvsem

%sce_files sysvshm

%sce_files wddx

%sce_files yp

%sce_files zlib

%files -n mod_php4-core
%doc SuSE/mod_php4-core/README.%{VENDOR}

%files -n mod_php4
%doc SuSE/mod_php4/README.%{VENDOR}

%files -n mod_php4-apache2
%doc SuSE/mod_php4-apache2/README.%{VENDOR}
%ifnarch alpha ia64 ppc64

%files -n mod_php4-servlet
%doc SuSE/mod_php4-servlet/README.%{VENDOR}
%endif

%files -n php4-fastcgi
/srv/www/cgi-bin/php

%files -n apache-mod_php4
%defattr(-, root, root)
%{apache_libexecdir}/libphp4.so
%{_var}/adm/fillup-templates/sysconfig.apache-%{name}
%{apache_sysconfdir}/modules/%{name}
%{apache_sysconfdir}/%{name}.conf

%files -n apache2-mod_php4
%defattr(-, root, root)
%{apache2_libexecdir}/libphp4.so
#%{_var}/adm/fillup-templates/sysconfig.apache2-%{name}
#%{apache2_sysconfdir}/modules/%{name}
%config(noreplace) %{apache2_sysconfdir}/conf.d/%{name}.conf
%ifnarch alpha ia64 ppc64

%files servlet
%defattr(-, root, root)
%doc sapi/servlet/web.xml sapi/servlet/README
#%dir /opt/jakarta
%{tomcat}/lib/phpsrvlt.jar
%{tomcat}/lib/libphp4.so
%endif

%changelog -n php4
* Fri Jun 16 2006 - postadal@suse.cz
- fixed fix for zend_hash_del() [#185516] (zend_hash_del-fix.patch)
* Mon Jun 05 2006 - postadal@suse.cz
- added a check for special characters in the session name [#181140]
  (session3.patch)
* Tue May 23 2006 - postadal@suse.cz
- fixed memory leak in imagecreatefromgif()
  [#173451] (phpbug-37346.patch)
- fixed possibility of a wrong element being deleted by zend_hash_del()
  [#175976] (zend_hash_del.patch)
- fixed integer overflow in the wordwrap()
  [#169038] (CVE-2006-1990, string.patch)
- fixed _emalloc() on 64bit archs [#169038] (emalloc.patch)
* Thu Apr 13 2006 - postadal@suse.cz
- fixed security problem in copy() and tempname()
  [#164845] (CVE-2006-1494-1608.patch)
- fixed phpinfo() XSS [#164804] (CVE-2006-0996.patch)
- fixed memory leak in html_entity_decode  [#161718] (CVE-2006-1490.patch)
* Thu Mar 16 2006 - postadal@suse.cz
- added safe_mode num of parameter check for mb_send_mail [#154315]
  (mbstring-secfix.patch)
- fixed a possible null injection in mbstring (mbstring-null_injection.patch)
* Thu Mar 09 2006 - postadal@suse.cz
- fixed PreReq for mod_php4-core [#151024]
* Mon Feb 06 2006 - postadal@suse.cz
- fixed XSS [#143696] (CVE-2006-0208.patch)
- fixed crash in Apache 2 SAPI when more then one php script is loaded
  via SSI include [#136651, php#35571] (phpbug-35571.patch)
- fixed [php#33987] bug (php script as ErrorDocument causes crash
  in Apache 2)
- added php4-snmp to php4-unixODBC Requires [#142224]
* Mon Dec 05 2005 - postadal@suse.cz
- fixed unexpected header can be injected to mb_send_mail()
  [#135673] (mbstring.patch)
- added safe_mode checks for image* functions and cURL
  [#135673] (CVE-2005-3391.patch)
- fixed possible INI setting leak via virtual() in Apache 2 sapi
  [#135673] (CVE-2005-3392.patch)
* Mon Nov 28 2005 - postadal@suse.cz
- fixed CVE-2005-3388.patch [#131578]
* Fri Nov 25 2005 - postadal@suse.cz
- fixed segfaulting with mod_rewrite [#135480] (mod_rewrite-fix.patch)
- fixed recode extension [#120087] (recode-fix.patch)
- added tcpd-devel to neededforbuild (it needs the new net-snmp)
* Mon Nov 14 2005 - mmarek@suse.cz
- fixed infinite recursion in exif code
  [#132684] (CVE-2005-3353.patch)
- fixed XSS in phpinfo()
  [#131578] (CVE-2005-3388.patch)
- fixed register_globals actvation in parse_str()
  [#131579] (CVE-2005-3389.patch)
- fixed possible $GLOBALS overwrite
  [#131580] (CVE-2005-3390.patch)
- fixed handling basedirs that end with a /
  [#118976] (basedir-fix.patch)
- fixed segfaulting when save_path is set and safe_mode is On
  [#130227] (save_path-segfault.patch)
* Wed Aug 31 2005 - postadal@suse.cz
- added security patch pcre-overflow-bug-106209.patch for internal
  libpcre and statically linked against it [#114157]
* Thu Aug 25 2005 - postadal@suse.cz
- linked with system pcre libs [#112645]
- fixed MD5SUMS of XML RPC sources (RPC.php, Server.php) [#104403]
* Thu Aug 18 2005 - postadal@suse.cz
- fixed XML RPC command injection (#104403, CAN-2005-2498)
* Thu Jul 07 2005 - meissner@suse.de
- Adjusted checksum in XML_RPC tarball to match new RPC.php,
  so it gets installed.
* Mon Jul 04 2005 - meissner@suse.de
- fixed XML RPC command injection, #94579, CAN-2005-1921
* Fri Apr 15 2005 - mcihar@suse.cz
- fix buffer overflow in exif_process_IFD_TAG (bug #78094, CAN-2005-1042, CAN-2005-1043)
* Thu Apr 07 2005 - mcihar@suse.cz
- fix DoS in image functions (bug #75704, CAN-2005-0524, CAN-2005-0525)
- fix regression in unserializez after last security update (bug #72441)
* Wed Feb 09 2005 - mcihar@suse.cz
- fix crash while passing large data blobs (bug #50565)
* Tue Jan 11 2005 - mcihar@suse.cz
- fix vulnerabilities in unserializer and safe_mode (bug #48635)
- fix broken int unserializing on 64-bit (bug #49617)
* Thu Dec 16 2004 - tcrhak@suse.cz
- fixed several vulnerabilities (bug #48635, patch secfix1)
- fixed php.ini settings "leak" from vhosts/.htaccess files
  (bug #48431, patch secfix2)
- added PreReq tag to the php modules (bug #46664)
* Mon Oct 18 2004 - tcrhak@suse.cz
- fix for module recode:
- conflicts with php4-mysql, php4-imap and apache2-mod_auth_mysql removed
- recode will be commented out in php.ini during %%post
- installing php4-recode does not register recode in php.ini,
  a warning is issued
- added note to README.SuSE concerning module recode
* Thu Sep 23 2004 - tcrhak@suse.cz
- security fix for array parsing (bug #45710, patch array)
- reverted dlopen flag back to RTLD_GLOBAL (bugs #39197 and #41866),
  php4-recode now conflicts with php4-imap, php4-mysql and apache2-mod_auth_mysql,
  mod_php4-core does not require php4-recode any more
* Wed Jul 14 2004 - lnussel@suse.de
- fix memory limit problem, a problem with strip_tags and several stability
  issues (#42949)
* Sun Jun 13 2004 - meissner@suse.de
- build servlet for ppc again (we have a working JVM). [bug #41673/LTC#9138]
* Wed May 26 2004 - tcrhak@suse.cz
- link unixODBC.so with libodbc.so [bug #41185]
- build servlet for s390 and s390x [bug #40742]
* Fri Apr 23 2004 - tcrhak@suse.cz
- added postfix to neededforbuild, so that mail() is defined (bug #39153)
- dlopen php modules with RTLD_LOCAL (fixes bug #39197)
* Wed Mar 31 2004 - tcrhak@suse.cz
- added php module recode (bug #36573)
- fixed requires of mod_php4-apache2 (bug #37041)
* Mon Mar 22 2004 - ro@suse.de
- build-fix for jakarta-tomcat from skh
- removed apache-contrib from neededforbuild (dropped)
* Tue Mar 16 2004 - tcrhak@suse.cz
- removed --enable-versioning (fixes bug #35716)
- do not build servlet for ia64, ppc and ppc64
* Fri Mar 05 2004 - tcrhak@suse.cz
- modularized
- updated to version 4.3.4
- added fastcgi
- added PHP4 module sockets
- added PHP4 module mime_magic (bug #34134)
- php binary is now CLI, not CGI (bug #34152)
* Wed Feb 18 2004 - ro@suse.de
- use jakarta-tomcat4
* Mon Feb 16 2004 - ro@suse.de
- use unixODBC instead of iodbc
* Tue Feb 10 2004 - poeml@suse.de
- fix symbol exports for apache2
- add -fno-strict-aliasing to CFLAGS, due to code where
  dereferencing type-punned pointers would break strict aliasing
- fix test load of apache2 module (the LoadModule statement went
  into the wrong place)
* Sun Feb 08 2004 - schwab@suse.de
- Fix symbol exports.
- Also look for BEAJava2 directory.
- Fix quoting.
* Thu Jan 22 2004 - ro@suse.de
- fix build with current automake
* Fri Jan 16 2004 - kukuk@suse.de
- Add pam-devel to neededforbuild
* Tue Jan 13 2004 - ro@suse.de
- remove subpackage aolserver
- fix build with current freetype
* Mon Nov 10 2003 - ro@suse.de
- use net-snmp instead of ucdsnmp
* Thu Oct 30 2003 - tcrhak@suse.cz
- ad previous fix: create the directory
* Wed Oct 29 2003 - tcrhak@suse.cz
- added %%{_libdir}/php/bin to file list of mod_php4-core
* Mon Sep 22 2003 - mls@suse.de
- remove 'Obsoletes: mod_php' from mod_php4, otherwise rpmv4
  makes mod_php4 conflict with apache2-mod_php4
* Tue Sep 16 2003 - tcrhak@suse.cz
- update to version 4.3.3
* Mon Sep 01 2003 - tcrhak@suse.cz
- expand rpm macros in /etc/httpd/modules/mod_php4 [bug #29664]
* Thu Aug 21 2003 - tcrhak@suse.cz
- update to version 4.3.2
- use BuildRoot
- added activation metadata to sysconfig [bug #28827]
* Mon Aug 18 2003 - poeml@suse.de
- add README.{SuSE,UnitedLinux} [#25888]
- don't explicitely strip binary objects, because RPM does it
  anyway, and it might keep the stripped debugging info somewhere.
- don't try to install a file in /etc/apache2/modules/ (it's gone)
* Mon Jun 30 2003 - ro@suse.de
- always use libtool to compile objects
- added directories to filelist
* Thu Apr 10 2003 - tcrhak@suse.cz
- use 'head -n 1' instead of 'head -1'
- added mhash support
* Wed Mar 26 2003 - tcrhak@suse.cz
- fixed path in script phpize
- fixed ext/mysql/config.m4
* Thu Mar 13 2003 - tcrhak@suse.cz
- fixed order of Type and Define in sysconfig metadata
- readded subpackage servlet (patch servlet)
- reenabled support for swf
- install swf fonts, use proper SWFFONTPATH
  (bug #18057, patch swf)
* Tue Mar 04 2003 - poeml@suse.de
- the apache2 module requires the apache2-prefork MPM
* Thu Feb 20 2003 - tcrhak@suse.cz
- security update to version 4.3.1 - fixes a CGI vulnerability
- added sysconfig metadata [bug #22604]
* Fri Feb 14 2003 - tcrhak@suse.cz
- added php3, php4 to DirectoryIndex [bug #22066]
* Thu Feb 13 2003 - ro@suse.de
- really disable (empty) subpackage servlet
* Wed Feb 12 2003 - poeml@suse.de
- rename subpackage mod_php4_2 to apache2-mod_php4
* Tue Feb 11 2003 - poeml@suse.de
- call the new /usr/share/apache2/get_module_list script to
  configure apache2, so the test can be passed
* Wed Jan 15 2003 - ro@suse.de
- use sasl2
* Fri Jan 10 2003 - poeml@suse.de
- don't built -servlet for now, needs work
- swf.h has vanished from ./dist/include/, and I can't find another
  one --> disabling swf support
* Thu Jan 09 2003 - poeml@suse.de
- update to 4.3.0
- GD library is now bundled with the distribution and it is
  recommended to always use the bundled version
- vpopmail and cybermut extensions are moved to PECL
- several deprecated extensions (aspell, ccvs, cybercash, icap)
  and SAPIs (fastcgi, fhttpd) are removed
- speed improvements in a variety of string functions
- Apache2 filter is improved, but is still considered
  experimental (use with PHP in prefork and not worker (thread)
  model since many extensions based on external libraries are not
  thread safe)
- various security fixes (imap, mysql, mcrypt, file upload, gd, etc)
- new SAPI for embedding PHP in other applications (experimental)
- much better test suite
- significant improvements in dba, gd, pcntl, sybase, and xslt
  extensions
- debug_backtrace() should help with debugging
- error messages now contain URLs linking to pages describing the
  error or function in question
- Zend Engine has some fixes and minor performance enhancements
- and TONS of other fixes, updates, new functions, etc
- build apache2 module
- QtDOM support is now in qt3, and therefore we need to link
  against libqt-mt
- merge the lib64 patch, hope it's complete
- gd lib is now bundled, and preferred for building
- adjust the Provides of the -core package
* Thu Nov 21 2002 - ro@suse.de
- make it build with current automake
* Wed Oct 16 2002 - tcrhak@suse.cz
- added support for readline
- added support for iconv and mbstrings [bugs #19861 and #19862]
* Fri Sep 27 2002 - tcrhak@suse.cz
- added type .php3 to apache mod_php4.conf
* Wed Sep 18 2002 - ro@suse.de
- removed bogus self-provides
* Tue Sep 03 2002 - tcrhak@suse.cz
- fixed to build on 64 bit archs
* Fri Aug 23 2002 - tcrhak@suse.cz
- fixed to build on non-i386 archs
- added dynamic extensions to the file list of subpackage core
* Tue Aug 20 2002 - tcrhak@suse.cz
- added PreReq
* Tue Aug 13 2002 - kukuk@suse.de
- Remove unused qt2 from neededforbuild
* Wed Aug 07 2002 - uli@suse.de
- fixed to build on lib64 archs (still broken on nearly all archs
  due to other problems)
* Mon Aug 05 2002 - ro@suse.de
- use "-follow" when searching for jni.h
* Sun Jul 28 2002 - kukuk@suse.de
- remove unused gdb from neededforbuild
* Sat Jul 27 2002 - adrian@suse.de
- fix neededforbuild
* Fri Jul 26 2002 - kukuk@suse.de
- Add imap-lib to neededforbuild
* Tue Jul 23 2002 - tcrhak@suse.cz
- update to version 4.2.2
- update of asp2php to version 0.76.12
- detect the module magic number if provided by apache, indicating
  API changes, and add an RPM Require on it
- add compiled extensions (currently gd.so, as it is build shared
  by a previous change by bk@suse.de) to php.ini and filelist
* Fri Jul 05 2002 - kukuk@suse.de
- Use %%ix86 macro
* Tue May 28 2002 - ro@suse.de
- replaced /opt/jakarta with /opt/jakarta/tomcat
* Mon May 27 2002 - ro@suse.de
- first try for lib64
* Mon May 27 2002 - bk@suse.de
- use shared libgd on all archs
* Sat Mar 23 2002 - ro@suse.de
- removed unixODBC stuff, was never used (iodbc is used)
* Fri Mar 15 2002 - tcrhak@suse.cz
- added %%{_datadir}/lib/php and extension dir to devel filelist
* Mon Mar 04 2002 - okir@suse.de
- security fix
* Fri Feb 22 2002 - tcrhak@suse.cz
- Killed %%{release} from "Requires" tags.
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Mon Jan 28 2002 - ro@suse.de
- added des to neededforbuild
* Mon Jan 28 2002 - ro@suse.de
- added heimdal stuff to build
* Wed Jan 23 2002 - ro@suse.de
- try to build with db-devel in neededforbuild
* Thu Jan 17 2002 - ro@suse.de
- adapted for /etc/sysconfig/apache
* Thu Dec 20 2001 - tcrhak@suse.cz
- update to 4.1.0
- no mm support for aol and servlet (mm is not ZTS in 4.1 yet)
- patched acinclude.m4 to find the very dir for mysql libraries
- added `php-config --extension-dir` to core files
* Mon Dec 10 2001 - tcrhak@suse.cz
- fixed extension section
* Thu Dec 06 2001 - tcrhak@suse.cz
- added section [extension section] to php.ini
- fixed options given to configure
* Tue Dec 04 2001 - tcrhak@suse.cz
- fixed configure.in and config.m4's for autoconf 2.52
- added libtoolize, autoconf, autoheader
- used setJava to find JAVA_HOME
- TTF - bug 9523
- gd  - bug 12226
- changed the order in which subpackages (for Servers) are built,
- so that the devel package corresponds to core
- (=> experimental-zts disabled)
- moved phpize to the devel package (fixed for autoconf 2.52)
- added files needed by phpize to the devel package
* Mon Dec 03 2001 - ro@suse.de
- changed servlet dir for configure with jakarta
* Mon Dec 03 2001 - ro@suse.de
- fixed neededforbuild <jakarta> to <jakarta-tomcat>
* Tue Nov 20 2001 - rolf@suse.de
- changes to make IA64 work
- exclude subpackages AOL and Servlet from AXP
* Mon Nov 19 2001 - ro@suse.de
- fix to find java
* Wed Nov 14 2001 - rolf@suse.de
- new subpackage -devel with include files
* Mon Nov 12 2001 - ro@suse.de
- hack for libxml2 include location
* Fri Oct 26 2001 - ro@suse.de
- use qt2 for qtdom (but aparently that is not built anyway)
* Thu Oct 25 2001 - ro@suse.de
- try neededforbuild alias apache-devel-packages
* Tue Sep 11 2001 - ro@suse.de
- remove roxen subpackage
  roxen is not in the distribution currently
* Wed Aug 22 2001 - ro@suse.de
- removed pdflib from neededforbuild (license problems)
* Tue Aug 14 2001 - ro@suse.de
- pear: changed header to look for php in "bindir" not "prefix/bin"
  to fix requires
* Mon Aug 13 2001 - kukuk@suse.de
- Don't conflict with packages we are providing
* Thu Aug 09 2001 - kukuk@suse.de
- Fix search for installed java directory
* Tue Jul 24 2001 - rolf@suse.de
- new subpackage mod_php4-aolserver for use of PHP4 with AOL server
- disable-debug so Zend optimizer can work
* Thu Jul 05 2001 - rolf@suse.de
- update to php 4.0.6
- apply memlimit patch
- new subpackage mod_php4-servlet for use of PHP4 as JAVA servlet
  with tomcat
- new options: --with-gmp, --with-dom, mbstring
* Mon Jun 25 2001 - rolf@suse.de
- fixed bug with pdflib which also fixes [BUG#8246]
* Tue Jun 19 2001 - rolf@suse.de
- new version 4.0.5
- disable pgsql for roxen, as it is broken
- mysql bug fixed in this release [BUG#6839]
- move stuff to /usr/share/php [BUG#8352]
- now Provides: mod_php as well [BUG#8911]
* Sat May 12 2001 - schwab@suse.de
- Use new readline interface.
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Tue May 01 2001 - kukuk@suse.de
- disable adabas support
* Thu Apr 26 2001 - ro@suse.de
- neededforbuild: curl_ssl-devel -> curl-devel
* Sun Apr 08 2001 - poeml@suse.de
- fix Requires (rearrange tags to define them before using them)
- fix spec file typo
* Tue Mar 27 2001 - rolf@suse.de
- spin off subpackage mod_php4-core which is required by apache and
  roxen modules now
- moved config file to /etc/php.ini for all php4 modules
- sybase support conflicts with Adabas D support
- Ingres support is for Ingres II only
- added t1lib support [BUG#6212]
- updated asp2php 0.75.13
- make us of suse_loadmodule for testing
- added /usr/bin/php to core package [BUG#6648]
* Wed Mar 21 2001 - ro@suse.de
- changed neededforbuild to freetype2
* Thu Mar 15 2001 - ro@suse.de
- build with openldap2
* Thu Mar 15 2001 - ro@suse.de
- fixed neededforbuild for openldap
* Mon Mar 05 2001 - ro@suse.de
- use -fPIC
* Fri Feb 23 2001 - ro@suse.de
- changed neededforbuild <apache> to <apache apache-devel>
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Thu Feb 15 2001 - rolf@suse.de
- new features imap-ssl, bz2, qtdom, ctype, debug, force-cgi-redirect,
  discard_path, sigchild, gd-imgstrttf
- added apache-mod_php4.rc.config
- added /etc/httpd/modules/mod_php4
* Wed Jan 17 2001 - rolf@suse.de
- add libpdf support
* Tue Jan 16 2001 - rolf@suse.de
- update to 4.0.4pl1 due to security issue [BUG#5760]
- remove number4.tar.gz, no longer needed
* Fri Jan 12 2001 - rolf@suse.de
- need expat to compile [BUG#5104]
- subpackage for roxen module
* Fri Jan 12 2001 - cihlar@suse.cz
- fixed to compile with roxe/pike [#4408]
* Tue Dec 19 2000 - rolf@suse.de
- link with libssl
* Tue Dec 19 2000 - rolf@suse.de
- added the asp2php package [BUG#4456]
- roxen/pike still doesnt work
- require RPM group tag via apxs
* Wed Nov 29 2000 - ro@suse.de
- changed neededforbuild <pg_lib> to <postgresql-lib>
* Mon Nov 27 2000 - rolf@suse.de
- added Sablotron support     [BUG#3891]
- added curl support          [BUG#3890]
- added Flash support on i386 [BUG#3209]
- also pack module files in /usr/lib/php/
- moved the exec dir to /usr/lib/php/bin
- include pear binaries
- added the following modules: sockets, shmop, exif, filepro, dbase
  readline, mcrypt, gettext
* Wed Nov 15 2000 - ro@suse.de
- fixed neededforbuild gdlib -> gd gd-devel
* Thu Nov 09 2000 - ro@suse.de
- prefer ndbm.h to db1/ndbm.h
* Mon Nov 06 2000 - ro@suse.de
- added imap-devel to neededforbuild
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Mon Oct 16 2000 - bk@suse.de
- s390: --with-gd=yes -> --with-gd=shared(broken somehow with =yes)
* Mon Oct 16 2000 - rolf@suse.de
- update tp 4.0.3pl1 due to some security breaches
- needed to drop db3 and dbm support, as these are incompatible
- enable FTP support [BUG#3862]
* Wed Sep 13 2000 - fober@suse.de
- s390: suse_update_config, needs-not-forbuild adabas
* Fri Jul 07 2000 - kukuk@suse.de
- Fix Requires and need for build
* Fri Jun 23 2000 - rolf@suse.de
- added support for mcal and calendar functions [BUG#2925]
* Mon Jun 19 2000 - ro@suse.de
- fixed to compile with new postgres
* Mon May 22 2000 - rolf@suse.de
- update to 4.0.0
- --with-java is now broken
* Fri May 12 2000 - rolf@suse.de
- update to 4.0RC2
- a few more options are now functional
* Thu Apr 13 2000 - ro@suse.de
- added mm to neededforbuild
* Thu Mar 30 2000 - rolf@suse.de
- new version 4.0RC1
- many options now work properly
* Wed Mar 01 2000 - rolf@suse.de
- zlib works again
* Tue Feb 22 2000 - rolf@suse.de
- new version 4b4pl1
- now with --enable-thread-safety --with-gd=yes --with-ttf
- imap support is now broken
* Thu Dec 23 1999 - rolf@suse.de
- dynamic JDK path detection
- some fixes in DAV, still doesnt work
- now also runs with IMAP
* Thu Nov 25 1999 - rolf@suse.de
- initial package version 4.0b3
